Package com.sas.lsaf.clinical.tlf

## Class AnalysisResult

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.tlf.AnalysisResult

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class AnalysisResult
      extends AbstractIdentifiable

  The class that represents an analysis result which is used to link results, data, and documentation in a clinical study report.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnalysisResult​(java.lang.String id, java.lang.String tlfId, java.lang.String tlfIdentifier, java.lang.String description, java.lang.String reason, java.lang.String purpose, java.lang.String analysisParameter, java.lang.String identifier, java.lang.String documentation, java.lang.String code, java.lang.String codeContext, java.lang.String tableJoinComment, int order, int dataSetCount)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAnalysisParameter()` | Gets the analysis parameter of the result.
    `java.lang.String` | `getCode()` | Gets any code used in the analysis result.
    `java.lang.String` | `getCodeContext()` | Gets the context for the analysis code.
    `int` | `getDatasetCount()` | The number of analysis data sets in this analysis result.
    `java.lang.String` | `getDescription()` | Gets the description of the analysis result.
    `java.lang.String` | `getDocumentation()` | Gets the documentation of the analysis result.
    `java.lang.String` | `getIdentifier()` | Gets the identifier of the analysis result.
    `int` | `getOrder()` | Gets the order of the analysis result within the TLF.
    `java.lang.String` | `getPurpose()` | Gets the purpose of the analysis result.
    `java.lang.String` | `getReason()` | Gets the reason of the analysis result.
    `java.lang.String` | `getTableJoinComment()` | Gets the table join comment for the analysis result.
    `java.lang.String` | `getTlfId()` | Gets the TLF id that is the parent of this analysis result.
    `java.lang.String` | `getTlfIdentifier()` | Gets the TLF identifier that is the parent of this analysis result.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisResult

          public AnalysisResult​(java.lang.String id,
                                java.lang.String tlfId,
                                java.lang.String tlfIdentifier,
                                java.lang.String description,
                                java.lang.String reason,
                                java.lang.String purpose,
                                java.lang.String analysisParameter,
                                java.lang.String identifier,
                                java.lang.String documentation,
                                java.lang.String code,
                                java.lang.String codeContext,
                                java.lang.String tableJoinComment,
                                int order,
                                int dataSetCount)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the analysis results returned by the API.
      Parameters:
        `id` - The unique identifier of the analysis result.
        `tlfId` - The unique identifier of the TLF to which this result is associated.
        `tlfIdentifier` - The TLF identifier of the TLF to which this result is associated.
        `description` - The description of the analysis result.
        `reason` - The reason for the analysis result.
        `purpose` - The purpose of the analysis result.
        `analysisParameter` - The analysis parameter of the analysis result.
        `identifier` - The result identifier of the analysis result.
        `documentation` - The documentation of the analysis result.
        `code` - The code for the analysis result.
        `codeContext` - The code context of the analysis result.
        `tableJoinComment` - The comment for a table join of the analysis result.
        `order` - The order number of the analysis result.
        `dataSetCount` - The data set count for the analysis result.

  - ### Method Detail

    - #### getTlfId

          public java.lang.String getTlfId()

      Gets the TLF id that is the parent of this analysis result.
      Returns:
        The TLF id.

    - #### getTlfIdentifier

          public java.lang.String getTlfIdentifier()

      Gets the TLF identifier that is the parent of this analysis result.
      Returns:
        The TLF identifier.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the analysis result.
      Returns:
        The description.

    - #### getReason

          public java.lang.String getReason()

      Gets the reason of the analysis result.
      Returns:
        The reason.

    - #### getPurpose

          public java.lang.String getPurpose()

      Gets the purpose of the analysis result.
      Returns:
        The purpose.

    - #### getAnalysisParameter

          public java.lang.String getAnalysisParameter()

      Gets the analysis parameter of the result.
      Returns:
        The analysis parameter.

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Gets the identifier of the analysis result.
      Returns:
        The identifier.

    - #### getDocumentation

          public java.lang.String getDocumentation()

      Gets the documentation of the analysis result.
      Returns:
        The documentation.

    - #### getCode

          public java.lang.String getCode()

      Gets any code used in the analysis result.
      Returns:
        The code.

    - #### getCodeContext

          public java.lang.String getCodeContext()

      Gets the context for the analysis code.
      Returns:
        The code context.

    - #### getTableJoinComment

          public java.lang.String getTableJoinComment()

      Gets the table join comment for the analysis result.
      Returns:
        The table join comment.

    - #### getOrder

          public int getOrder()

      Gets the order of the analysis result within the TLF.
      Returns:
        The order of the analysis result.

    - #### getDatasetCount

          public int getDatasetCount()

      The number of analysis data sets in this analysis result.
      Returns:
        The number of analysis data sets.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`